' ****************************************************************
' Funktion:     ffnet den AutoStart-Ordner von Word.
' Autor:				Wilhelm Happe, 2011
' ****************************************************************
Option Explicit
Dim objWS, strWert, strZielOrdner
On Error Resume Next
Set objWS = CreateObject("WScript.Shell")
'... Zielordnerpfad auf AutoStart-Ordner von Word einstellen
'Der Registry-Schlssel 'STARTUP-PATH' existiert nur, wenn der Pfad manuell gendert wurde.
strWert = objWS.RegRead("HKCR\Word.Application\CurVer\")
strWert = Mid(strWert, InStrRev(strWert, ".", -1) + 1) & ".0"
strWert = "HKCU\Software\Microsoft\Office\" & strWert & "\Word\Options\STARTUP-PATH"
strZielOrdner = objWS.RegRead(strWert)
If Err.Number <> 0 Then
	strZielOrdner = objWS.SpecialFolders("AppData") & "\Microsoft\Word\StartUp"
' C:\Dokumente und Einstellungen\Praxis\Anwendungsdaten\Microsoft\Word\StartUp
End If
Err.Clear
Const dbQuote = """"
objWS.Run(dbQuote & strZielOrdner & dbQuote)
If Err.Number <> 0 Then
	MsgBox strZielOrdner & vbCr & "wurde nicht gefunden!" & vbCr & _
		"Die Pfadangaben im Skript sind mglichweise falsch.", vbCritical, WScript.ScriptName
End If
Wscript.Quit
